cxf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Kulp <dk...@apache.org>
Subject Re: woodstox mandatory?
Date Tue, 02 Apr 2013 12:12:36 GMT

On Apr 2, 2013, at 3:19 AM, Romain Manni-Bucau <rmannibucau@gmail.com> wrote:

> Hi,
> 
> seems woodstox is now mandatory to use cxf (tested with v2.6.7) because
> of org.apache.cxf.staxutils.StaxUtils
> 
> is it normal?

Hmm.. with 2.6.7, it wasn't supposed to be mandatory.   I likely messed it up and made woodstox
4.1.x required with 4.2 recommended.  I'll double check later today.
 
That said, starting with 2.6.8, Woodstox 4.2.0 will be required (unless you set a system property
to disable the checks).  I'd recommend starting to pursue what is needed on your side to include
it.

Dan


> in TomEE we were remove it by default so basically it means we can't upgrade
> 
> *Romain Manni-Bucau*
> *Twitter: @rmannibucau <https://twitter.com/rmannibucau>*
> *Blog: **http://rmannibucau.wordpress.com/*<http://rmannibucau.wordpress.com/>
> *LinkedIn: **http://fr.linkedin.com/in/rmannibucau*
> *Github: https://github.com/rmannibucau*

-- 
Daniel Kulp
dkulp@apache.org - http://dankulp.com/blog
Talend Community Coder - http://coders.talend.com


Mime
View raw message